'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-26370392.js');

/*
 Stencil Client Patch Esm v2.20.0 | MIT Licensed | https://stenciljs.com
 */
const patchEsm = () => {
    return index.promiseResolve();
};

const defineCustomElements = (win, options) => {
  if (typeof window === 'undefined') return Promise.resolve();
  return patchEsm().then(() => {
  return index.bootstrapLazy([["token-select.cjs",[[1,"token-select"]]],["mint-button_7.cjs",[[1,"struct-core",{"contractAddress":[1,"contract-address"],"testnet":[4],"type":[1],"walletBtnText":[1,"wallet-btn-text"],"mintBtnText":[1,"mint-btn-text"],"soldOutText":[1,"sold-out-text"],"supplyLeft":[4,"supply-left"],"quantityInput":[4,"quantity-input"],"saleStatus":[4,"sale-status"],"summary":[4],"contractLink":[4,"contract-link"],"signatures":[1],"initialized":[32],"isMinting":[32],"isConnecting":[32],"selectedAmount":[32],"totalSupply":[32],"message":[32]},[[0,"amountChanged","selectAmountChanged"]]],[1,"mint-button",{"disabled":[4]}],[1,"mint-config",{"selectedAmount":[1538,"selected-amount"],"allocationLeft":[2,"allocation-left"],"mintPrice":[1,"mint-price"]}],[1,"mint-status",{"mintStatus":[2,"mint-status"]}],[1,"quantity-selector",{"selectedAmount":[2,"selected-amount"],"allocationLeft":[2,"allocation-left"]}],[1,"supply-display",{"totalSupply":[2,"total-supply"],"maxSupply":[2,"max-supply"]}],[1,"wallet-button",{"label":[1]}]]]], options);
  });
};

exports.defineCustomElements = defineCustomElements;
