import { h, Host } from '@stencil/core';
export class WalletButton {
  constructor() {
    this.label = undefined;
  }
  render() {
    return (h(Host, null, h("button", { part: "wallet-button", type: "button", class: "button", onClick: this.el.onclick }, h("slot", null))));
  }
  static get is() { return "wallet-button"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["wallet-button.sass"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["wallet-button.css"]
    };
  }
  static get properties() {
    return {
      "label": {
        "type": "string",
        "mutable": false,
        "complexType": {
          "original": "string",
          "resolved": "string",
          "references": {}
        },
        "required": false,
        "optional": false,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "label",
        "reflect": false
      }
    };
  }
  static get elementRef() { return "el"; }
}
