import { h } from '@stencil/core';
export class MintButton {
  constructor() {
    this.disabled = undefined;
  }
  render() {
    return (h("button", { part: "mint-button", disabled: this.disabled, class: "button mint-button", type: "button", id: "mint", ref: el => (this.btn = el) }, h("slot", null)));
  }
  static get is() { return "mint-button"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() {
    return {
      "$": ["mint-button.sass"]
    };
  }
  static get styleUrls() {
    return {
      "$": ["mint-button.css"]
    };
  }
  static get properties() {
    return {
      "disabled": {
        "type": "boolean",
        "mutable": false,
        "complexType": {
          "original": "boolean",
          "resolved": "boolean",
          "references": {}
        },
        "required": false,
        "optional": true,
        "docs": {
          "tags": [],
          "text": ""
        },
        "attribute": "disabled",
        "reflect": false
      }
    };
  }
}
