import { proxyCustomElement, HTMLElement, h, Host } from '@stencil/core/internal/client';

const tokenSelectCss = ":host{display:block}";

const TokenSelect$1 = /*@__PURE__*/ proxyCustomElement(class extends HTMLElement {
  constructor() {
    super();
    this.__registerHost();
    this.__attachShadow();
  }
  render() {
    return (h(Host, null, h("slot", null)));
  }
  static get style() { return tokenSelectCss; }
}, [1, "token-select"]);
function defineCustomElement$1() {
  if (typeof customElements === "undefined") {
    return;
  }
  const components = ["token-select"];
  components.forEach(tagName => { switch (tagName) {
    case "token-select":
      if (!customElements.get(tagName)) {
        customElements.define(tagName, TokenSelect$1);
      }
      break;
  } });
}

const TokenSelect = TokenSelect$1;
const defineCustomElement = defineCustomElement$1;

export { TokenSelect, defineCustomElement };
